org.apache.felix.ipojo.composite

## Class CompositeInstanceDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.InstanceDescription
  - - org.apache.felix.ipojo.composite.CompositeInstanceDescription

All Implemented Interfaces:
  InstanceStateListener

    public class CompositeInstanceDescription
    extends InstanceDescription

Composite Instance Description.

Author:
  Felix Project Team

### Field Summary

### Fields inherited from class org.apache.felix.ipojo.architecture.InstanceDescription

`m_handlers, m_instance, m_type`

### Constructor Summary

Constructors
Constructor and Description
`CompositeInstanceDescription(ComponentTypeDescription type, CompositeManager instance)` Creates a Primitive Instance Description.

### Method Summary

All Methods Instance Methods Concrete Methods
`InstanceDescription[]` `getContainedInstances()` Gets the list of contained instance in the described instance.
`org.apache.felix.ipojo.metadata.Element` `getDescription()` Gets the instance description.
`org.apache.felix.ipojo.metadata.Element` `getInternalServices()` Gets the list of internally published services.

### Methods inherited from class org.apache.felix.ipojo.architecture.InstanceDescription

`addHandler, getBundleId, getComponentDescription, getHandlerDescription, getHandlers, getInstance, getName, getState, stateChanged`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompositeInstanceDescription

    public CompositeInstanceDescription(ComponentTypeDescription type,
                                        CompositeManager instance)

Creates a Primitive Instance Description.

Parameters:
  `type` - the component type description
  `instance` - the instance description

### Method Detail

#### getContainedInstances

    public InstanceDescription[] getContainedInstances()

Gets the list of contained instance in the described instance. This list contains only instances who exposed their architecture.

Returns:
  the list of contained instances.

#### getInternalServices

    public org.apache.felix.ipojo.metadata.Element getInternalServices()

Gets the list of internally published services.

Returns:
  the list of published services.

#### getDescription

    public org.apache.felix.ipojo.metadata.Element getDescription()

Gets the instance description. Overridden to add created objects.

Overrides:
  `getDescription` in class `InstanceDescription`
Returns:
  the instance description